screensaver is not disabled during release upgrade

Bug #1565177 reported by Tim Lunn on 2016-04-02
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
ubuntu-release-upgrader (Ubuntu)
High
Unassigned

Bug Description

On Ubuntu GNOME the screensaver is not disabled during 14.04 -> 16.04 release upgrade.

The "xdg-screensaver reset" command in DistUpgradeQuirks.py does not seem to work under Ubuntu GNOME

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.8
ProcVersionSignature: Ubuntu 4.4.0-16.32-generic 4.4.6
Uname: Linux 4.4.0-16-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: GNOME
Date: Sat Apr 2 12:04:43 2016
InstallationDate: Installed on 2012-09-23 (1287 days ago)
InstallationMedia: Ubuntu GNOME Remix 12.10 "Quantal Quetzal" - Alpha amd64(20120922)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: ubuntu-release-upgrader
UpgradeStatus: No upgrade log present (probably fresh install)
VarLogDistupgradeTermlog:

Related branches

Tim Lunn (darkxst) wrote :
Changed in ubuntu-gnome:
milestone: none → xenial
Tim Lunn (darkxst) wrote :

In combination with Bug 1565178, this will likely leave the user unable to answer any of the later release upgrade questions etc.

Tim Lunn (darkxst) on 2016-04-02
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1565177

tags: added: iso-testing
Tim Lunn (darkxst) on 2016-04-02
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → In Progress
importance: Undecided → High
Brian Murray (brian-murray) wrote :

Wasn't this superseded by the fix for bug 1566141?

Tim Lunn (darkxst) wrote :

Brian, no this is still required. logind only deals with system level events and cannot inhibit the user session screensaver/screenblanking etc that are handle by the compositor

Tim Lunn (darkxst) wrote :

Brian, would it be possible to get this merged before final freeze?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.11

---------------
ubuntu-release-upgrader (1:16.04.11) xenial; urgency=medium

  [ Tim Lunn ]
  * DistUpgradeQuirks.py: add a quirk to add a gnome-session idle inhibitor
    this will fix the screensaver activating on Ubuntu GNOME (LP: #1565177)
    Leave this inhibitor in place on GNOME desktop to workaround broken
    lock screen after upgrade (LP: #1565178).

  [ Brian Murray ]
  * DistUpgrade/ReleaseAnnouncement: provide a link to the release notes of
    the version of Ubuntu to which users are upgrading. (LP: #1535098)

 -- Brian Murray <email address hidden> Thu, 14 Apr 2016 14:45:29 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Tim Lunn (darkxst) on 2016-04-15
Changed in ubuntu-gnome:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers